spandsp: at_state_s Struct Reference

spandsp 0.0.6

Public Attributes | List of all members
at_state_s Struct Reference

`#include <at_interpreter.h>`

## Public Attributes
at_profile_t | p
int | country_of_installation
int | dte_inactivity_timeout
int | dte_inactivity_action
int | speaker_volume
int | speaker_mode
int | dte_rate
int | dte_char_format
int | dte_parity
int | rlsd_behaviour
int | dtr_behaviour
int | carrier_loss_timeout
int | result_code_mode
int | dsr_option
int | long_space_disconnect_option
int | sync_tx_clock_source
int | rx_window
int | tx_window
int | v8bis_signal
int | v8bis_1st_message
int | v8bis_2nd_message
int | v8bis_sig_en
int | v8bis_msg_en
int | v8bis_supp_delay
uint8_t | rx_data [256]
int | rx_data_bytes
int | display_call_info
int | call_info_displayed
at_call_id_t * | call_id
char * | local_id
int | fclass_mode
int | at_rx_mode
int | rings_indicated
int | do_hangup
int | silent_dial
int | command_dial
int | ok_is_pending
int | dte_is_waiting
int | rx_signal_present
| TRUE if a carrier is presnt. Otherwise FALSE.
int | rx_trained
| TRUE if a modem has trained, Otherwise FALSE.
int | transmit
char | line [256]
int | line_ptr
at_modem_control_handler_t * | modem_control_handler
void * | modem_control_user_data
at_tx_handler_t * | at_tx_handler
void * | at_tx_user_data
at_class1_handler_t * | class1_handler
void * | class1_user_data
logging_state_t | logging
| Error and flow logging control.

## Detailed Description

AT descriptor. This defines the working state for a single instance of the AT interpreter.

## Member Data Documentation

## ◆ carrier_loss_timeout

int at_state_s::carrier_loss_timeout

Value set by +FCL

## ◆ country_of_installation

int at_state_s::country_of_installation

Value set by +GCI

## ◆ dsr_option

int at_state_s::dsr_option

Value set by +IDSR

## ◆ dte_char_format

int at_state_s::dte_char_format

Value set by +ICF

## ◆ dte_inactivity_action

int at_state_s::dte_inactivity_action

Value set by +FIT

## ◆ dte_inactivity_timeout

int at_state_s::dte_inactivity_timeout

Value set by +FIT

Referenced by t31_init().

## ◆ dte_parity

int at_state_s::dte_parity

Value set by +ICF

## ◆ dte_rate

int at_state_s::dte_rate

This is no real DTE rate. This variable is for compatibility this serially connected modems.

Value set by +IPR/+FPR

## ◆ dtr_behaviour

int at_state_s::dtr_behaviour

Value set by &D

## ◆ fclass_mode

int at_state_s::fclass_mode

The currently select FAX modem class. 0 = data modem mode.

## ◆ long_space_disconnect_option

int at_state_s::long_space_disconnect_option

Value set by +ILSD

## ◆ result_code_mode

int at_state_s::result_code_mode

Value set by X

## ◆ rlsd_behaviour

int at_state_s::rlsd_behaviour

Value set by &C

## ◆ rx_window

int at_state_s::rx_window

Value set by +EWIND

## ◆ speaker_mode

int at_state_s::speaker_mode

Value set by M

## ◆ speaker_volume

int at_state_s::speaker_volume

Value set by L

## ◆ sync_tx_clock_source

int at_state_s::sync_tx_clock_source

Value set by +ICLOK

## ◆ tx_window

int at_state_s::tx_window

Value set by +EWIND

The documentation for this struct was generated from the following file:

- private/at_interpreter.h